----------------------------------------------------------------------------------
-- SOUND_RECORDER_PACKAGE.VHD 
-- 
-- Steven Wasson
-- ECE 443 - Hardware Design with VHDL
-- Assignments 5 & 6
-- December 3, 2007
--
-- This VHDL package defines data types that are used to control the operation of
-- the sound recorder.
----------------------------------------------------------------------------------
package sound_recorder_package is

  type  TERMINAL_OUTPUT_COMMAND_TYPE is
        (IDLE, OUTPUT_BUGS_BUNNY_1, OUTPUT_PEPE_LEPEW, OUTPUT_TWEETY_BIRD,
        OUTPUT_BUGS_BUNNY_2, OUTPUT_TASMANIAN_DEVIL, OUTPUT_DAFFY_DUCK);

  type  RECORD_PLAY_COMMAND_TYPE is
        (RECORD_COMMAND, PLAY_COMMAND, STOP_COMMAND);

end package sound_recorder_package;